{{authState.user?.role == 'ROLE_ADMIN'}}
<header id="intro" style="display: block;">
  <nav class="navbar navbar-light" style="background-color: #e3f2fd;">
    <div class="container-fluid">
      <a class="navbar-brand" routerLink="login"> Mon compte</a>
      <a class="navbar-brand" routerLink=""> Chambres</a>
      <a class="navbar-brand" routerLink="/type"> Types</a>
      <a class="navbar-brand" routerLink="/search-room"> Recherche</a>
      <a class="navbar-brand" *ngIf="authState.user?.role == 'ROLE_ADMIN'" routerLink="/admin"> Admin</a>

      <!-- <form class="d-flex" role="search" (ngSubmit)="showRooms()">
        <input class="form-control me-2"  placeholder="Rechercher" aria-label="Search" name="field" [(ngModel)]="field">
        <button class="btn btn-outline-success" type="submit">Rechercher</button>
      </form> -->
      <div>
        <button class="btn btn-danger" *ngIf="authState.user" (click)="logout()">Se déconnecter</button>
        <a class="btn btn-primary" routerLink="/login" *ngIf="!authState.user">Se connecter</a>
      </div>
    </div>
  </nav>
</header>
<router-outlet></router-outlet>
<br>
<br>
<br>
<footer class="text-center text-lg-start bg-light text-muted">
  <div class="text-center p-4" style="background-color: rgba(0, 0, 0, 0.05);">
    © 2022 Copyright:
    <h4><a class="text-reset fw-bold" href="https://auvergnerhonealpes.simplon.co/lyon.html/">simplon.com</a></h4>
  </div>
  <p><a href="/#welcome"><img src="../assets/images/arrow.png" alt="down arrow" /></a></p>
</footer>
